Skip to main content
GET
/
v1
/
ledger
/
balances
/
{currency}
Get current user balance for a specific currency
curl --request GET \
  --url https://api.example.com/v1/ledger/balances/{currency} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/ledger/balances/{currency}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/ledger/balances/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "balance": "1500.50",
  "currency": "EUR",
  "pendingIn": "100.00",
  "pendingOut": "50.00",
  "totalBalance": "1550.50",
  "isActive": true,
  "lastTransactionAt": "2025-10-29T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

currency
string
required

Currency code (ISO 4217, case-insensitive)

Example:

"USD"

Response

Balance retrieved successfully for the specified currency

balance
string
required

Available balance

Example:

"1500.50"

currency
string
required

Currency code

Example:

"EUR"

pendingIn
string
required

Pending incoming amount

Example:

"100.00"

pendingOut
string
required

Pending outgoing amount

Example:

"50.00"

totalBalance
string
required

Total balance (available + pending)

Example:

"1550.50"

isActive
boolean

Account status

Example:

true

lastTransactionAt
string

Last transaction date

Example:

"2025-10-29T12:00:00Z"